var Logger = require('./logger');
var LoggerSystem = require('./system');
var LogWriter = require('./writer');
var LogAdapter = require('./adapter');
var ConsoleWriter = require('./writers/console.js');
var FileWriter = require('./writers/file.js');

// Some defaults
Logger.root = new LoggerSystem();

Logger.defaults = {
	fmt:{
		error: "\033[0;37m[\033[01;30m%c\033[0m:\033[1;34m%n\033[0;37m" +"\033[0;31m -%l- " + "\033[1;31m%m\033[0m%|\033[01;30m%E/%c\33[0m]" ,
		warn:  "\033[0;37m[\033[01;30m%c\033[0m:\033[1;34m%n\033[0;37m" +"\033[0;33m -%l- " + "\033[0;37m%m\033[0m%|\033[01;30m%E/%c\33[0m]" ,
		info:  "\033[0;37m[\033[01;30m%c\033[0m:\033[1;34m%n\033[0;37m" +"\033[0;32m -%l- " + "\033[0;37m%m\033[0m%|\033[01;30m%E/%c\33[0m]",
		verbose:  "\033[0;37m[\033[01;30m%c\033[0m:\033[1;34m%n\033[0;37m" +"\033[1;30m -%l- " + "\033[1;30m%m\033[0m%|\033[01;30m%E/%c\33[0m]" ,
	}
}


Logger.root.writer('console', ConsoleWriter);
Logger.root.writer('file',FileWriter);


var consoleWri = new Logger.root.writers['console'];


Logger.root.adapter(new LogAdapter(Logger.eq(Logger.INFO),[consoleWri],Logger.defaults.fmt.info));
Logger.root.adapter(new LogAdapter(Logger.eq(Logger.ERROR),[consoleWri],Logger.defaults.fmt.error));
Logger.root.adapter(new LogAdapter(Logger.eq(Logger.WARN),[consoleWri],Logger.defaults.fmt.warn));
Logger.root.adapter(new LogAdapter(Logger.eq(Logger.VERBOSE),[consoleWri],Logger.defaults.fmt.verbose));



